net.fortuna.ical4j.data

## Class AbstractOutputter

- java.lang.Object
- - net.fortuna.ical4j.data.AbstractOutputter

Direct Known Subclasses:
  CalendarOutputter

    public abstract class AbstractOutputter
    extends Object

Base class for model outputters.

     $Id$

     Created on 29/12/2008

Author:
  Ben

### Field Summary

Fields
`protected static Charset` `DEFAULT_CHARSET` The default character set used to generate output.
`protected int` `foldLength` The maximum line length allowed.

### Constructor Summary

Constructors
Constructor and Description
`AbstractOutputter()` Default constructor.
`AbstractOutputter(boolean validating)`
`AbstractOutputter(boolean validating, int foldLength)`

### Method Summary

Methods
`boolean` `isValidating()`
`void` `setValidating(boolean validating)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### DEFAULT_CHARSET

    protected static final Charset DEFAULT_CHARSET

The default character set used to generate output.

#### foldLength

    protected int foldLength

The maximum line length allowed.

### Constructor Detail

#### AbstractOutputter

    public AbstractOutputter()

Default constructor.

#### AbstractOutputter

    public AbstractOutputter(boolean validating)

Parameters:
  `validating` - indicates whether to validate calendar when outputting to stream

#### AbstractOutputter

    public AbstractOutputter(boolean validating,
                     int foldLength)

Parameters:
  `validating` - indicates whether to validate calendar when outputting to stream
  `foldLength` - maximum number of characters before a line is folded

### Method Detail

#### isValidating

    public final boolean isValidating()

Returns:
  Returns the validating.

#### setValidating

    public final void setValidating(boolean validating)

Parameters:
  `validating` - The validating to set.